Subject: RE: bug#5809: 23.1.94; cross-reference by anchor yields in accurate position

From: "Drew Adams" <[email-masked]>
Date: Tue, 6 Apr 2010 10:46:01 -0700

I hope you will take a minute to try the patch.

> Another possible change: Put `Info-scroll-up'/`down' on 
> mouse-1/mouse-3 for the current node name (similar to what
> is the case now).

I did that. Attached is a better patch:

. mouse-2: the breadcrumbs menu
. mouse-1/3: Info-scroll-* for the current node
             go-to-clicked-node for ancestor nodes

And it does the usual mouseover highlighting on a node name to show it is
mouse-active (which I had forgotten in the previous patch).

----

Better yet would be the following (I did not do this in the patch): Swap mouse-2
and mouse-3, and swap the scroll directions.

For the current node:
. mouse-1: Info-mouse-scroll-down
. mouse-2: Info-mouse-scroll-up
. mouse-3: breadcrumbs menu

For ancestor nodes:
. mouse-1: go to clicked node
. mouse-2: go to clicked node
. mouse-3: breadcrumbs menu

That would be better for these reasons:

1. mouse-1 and mouse-2 both go to the clicked ancestor node, just as they both
follow links (by default).

2. mouse-1 is to the left of mouse-2, so mouse-1 should move left and mouse-2
right. It is perverse to cross these directions. See bug #5841.

3. mouse-3 as a menu is very common outside Emacs and not unexpected for lots of
users. mouse-2 (in Emacs and outside it) is rarely used for a menu.